package com.amqp.shanxi.util;

import org.springframework.context.annotation.Configuration;

/**
 * Topic模式
 * 　amqp静态数据推送
 */
@Configuration
public class AMQPTopicStaticDataConfig {


    // 基础设备信息  RoutingKey
    public static final String TOPIC_EXCHANGE = "basicData";

    // 尾矿库基础信息
    public static final String TOPIC_ROUTINGKEY_BAISC = "tailingInfo";

    // 干滩
    public static final String TOPIC_ROUTINGKEY_GANTAN = "equipInfo.01";

    // 库水位
    public static final String TOPIC_ROUTINGKEY_KUSHUIWEI = "equipInfo.02";

    // 表面位移
    public static final String TOPIC_ROUTINGKEY_BIAOMIANWEIYI = "equipInfo.03";

    // 内部位移
    public static final String TOPIC_ROUTINGKEY_NEIBUWEIYI = "equipInfo.04";

    // 浸润线
    public static final String TOPIC_ROUTINGKEY_JINRUNXIAN = "equipInfo.05";

    // 降雨量
    public static final String TOPIC_ROUTINGKEY_JIANGYULIANG = "equipInfo.06";

    // 渗流量
    public static final String TOPIC_ROUTINGKEY_SHENLIULIANG = "equipInfo.07";


/*    @Bean
    public TopicExchange topicExchange() {
        return new TopicExchange(TOPIC_EXCHANGE, false, false);
    }

    @Bean
    public Queue topicQueue() {
        return new Queue(TOPIC_ROUTINGKEY_BAISC, false);
    }

    @Bean
    public Queue topicQueueGantan() {
        return new Queue(TOPIC_ROUTINGKEY_GANTAN, false);
    }

    @Bean
    public Queue topicQueueKushuiwei() {
        return new Queue(TOPIC_ROUTINGKEY_KUSHUIWEI, false);
    }

    @Bean
    public Queue topicQueueBiaomianweiyi() {
        return new Queue(TOPIC_ROUTINGKEY_BIAOMIANWEIYI, false);
    }

    @Bean
    public Queue topicQueueNeibuweiyi() {
        return new Queue(TOPIC_ROUTINGKEY_NEIBUWEIYI, false);
    }

    @Bean
    public Queue topicQueueJinrunxian() {
        return new Queue(TOPIC_ROUTINGKEY_JINRUNXIAN, false);
    }

    @Bean
    public Queue topicQueueJiangyuliang() {
        return new Queue(TOPIC_ROUTINGKEY_JIANGYULIANG, false);
    }

    @Bean
    public Queue topicQueueShenliuliang() {
        return new Queue(TOPIC_ROUTINGKEY_SHENLIULIANG, false);
    }

    @Bean
    public Binding topicBinding() {
        return BindingBuilder.bind(topicQueue()).to(topicExchange()).with("tailingInfo");
    }

    @Bean
    public Binding topicBindingGantan() {
        return BindingBuilder.bind(topicQueueGantan()).to(topicExchange()).with("equipInfo.01");
    }

    @Bean
    public Binding topicBindingKushuiwei() {
        return BindingBuilder.bind(topicQueueKushuiwei()).to(topicExchange()).with("equipInfo.02");
    }

    @Bean
    public Binding topicBindingBiaomianweiyi() {
        return BindingBuilder.bind(topicQueueBiaomianweiyi()).to(topicExchange()).with("equipInfo.03");
    }

    @Bean
    public Binding topicBindingNeibuweiyi() {
        return BindingBuilder.bind(topicQueueNeibuweiyi()).to(topicExchange()).with("equipInfo.04");
    }

    @Bean
    public Binding topicBindingJinrunxian() {
        return BindingBuilder.bind(topicQueueJinrunxian()).to(topicExchange()).with("equipInfo.05");
    }

    @Bean
    public Binding topicBindingJiangyuliang() {
        return BindingBuilder.bind(topicQueueJiangyuliang()).to(topicExchange()).with("equipInfo.06");
    }

    @Bean
    public Binding topicBindingShenliuliang() {
        return BindingBuilder.bind(topicQueueShenliuliang()).to(topicExchange()).with("equipInfo.07");
    }*/


    // 实时数据RoutingKey
    public static final String topicExchangeRealTime = "realTimeData";

    // 干滩
    public static final String TOPICQUEUEGANTANREALTIME = "dataInfo.01";

    public static final String TOPICQUEUEGANtANALARM = "warningInfo.01";

    // 库水位
    public static final String TOPICQUEUEKUSHUIWEIREALTIME = "dataInfo.02";

    public static final String TOPICQUEUEKUSHUIWEIALARM = "warningInfo.02";

    // 表面位移
    public static final String TOPICQUEUEBIAOMIANWEIYIREALTIME = "dataInfo.03";

    public static final String TOPICQUEUEBIAOMIANWEIYIALARM = "warningInfo.03";

    // 内部位移
    public static final String TOPICQUEUENEIBUWEIYIREALTIME = "dataInfo.04";

    public static final String TOPICQUEUENEIBUWEIYIALARM = "warningInfo.04";

    // 浸润线
    public static final String TOPICQUEUEJINRUNXIANREALTIME = "dataInfo.05";

    public static final String TOPICQUEUEJINRUNXIANALARM = "warningInfo.05";

    // 降雨量
    public static final String TOPICQUEUEJIANGYULIANGREALTIME = "dataInfo.06";

    public static final String TOPICQUEUEJIANGYULIANGALARM = "warningInfo.06";

    // 渗流量
    public static final String TOPICQUEUESHENLIULIANGREALTIME = "dataInfo.07";

    public static final String TOPICQUEUESHENLIULIANGALARM = "warningInfo.07";

    // 监测项数据信息
    public static final String TOPICQUEUEDEVICEREALTIME = "dataInfo.20";

    public static final String TOPICQUEUEDEVICEALARM = "warningInfo.20";

    // 尾矿库数据信息
    public static final String TOPICQUEUEWKKREALTIME = "dataInfo.21";

    public static final String TOPICQUEUEWKKALARM = "warningInfo.21";


    // 设备离线信息
    public static final String TOPICQUEUEOFFLINEINFO = "equipOfflineInfo";

  /*  @Bean
    public TopicExchange TopicExchange_RealTime() {
        return new TopicExchange(topicExchangeRealTime, false, false);
    }


    //　干滩队列
    @Bean
    public Queue Topic_QueueGantanRealTime() {
        return new Queue(TOPICQUEUEGANTANREALTIME, false);
    }

    @Bean
    public Queue Topic_QueueGantanAlarm() {
        return new Queue(TOPICQUEUEGANtANALARM, false);
    }


    // 库水位队列
    @Bean
    public Queue Topic_QueueKushuiweiRealTime() {
        return new Queue(TOPICQUEUEKUSHUIWEIREALTIME, false);
    }

    @Bean
    public Queue Topic_QueueKushuiweiAlarm() {
        return new Queue(TOPICQUEUEKUSHUIWEIALARM, false);
    }


    // 表面位移队列
    @Bean
    public Queue Topic_QueueBiaomianweiyiRealTime() {
        return new Queue(TOPICQUEUEBIAOMIANWEIYIREALTIME, false);
    }

    @Bean
    public Queue Topic_QueueBiaomianweiyiAlarm() {
        return new Queue(TOPICQUEUEBIAOMIANWEIYIALARM, false);
    }


    // 内部位移队列
    @Bean
    public Queue Topic_QueueNeibuweiyiRealTime() {
        return new Queue(TOPICQUEUENEIBUWEIYIREALTIME, false);
    }

    @Bean
    public Queue Topic_QueueNeibuweiyiAlarm() {
        return new Queue(TOPICQUEUENEIBUWEIYIALARM, false);
    }


    // 浸润线队列
    @Bean
    public Queue Topic_QueueJinrunxianRealTime() {
        return new Queue(TOPICQUEUEJINRUNXIANREALTIME, false);
    }

    @Bean
    public Queue Topic_QueueJinrunxianAlarm() {
        return new Queue(TOPICQUEUEJINRUNXIANALARM, false);
    }


    // 降雨量队列
    @Bean
    public Queue Topic_QueueJiangyuliangRealTime() {
        return new Queue(TOPICQUEUEJIANGYULIANGREALTIME, false);
    }

    @Bean
    public Queue Topic_QueueJiangyuliangAlarm() {
        return new Queue(TOPICQUEUEJIANGYULIANGALARM, false);
    }


    // 渗流量队列
    @Bean
    public Queue Topic_QueueShenliuliangRealTime() {
        return new Queue(TOPICQUEUESHENLIULIANGREALTIME, false);
    }

    @Bean
    public Queue Topic_QueueShenliuliangAlarm() {
        return new Queue(TOPICQUEUESHENLIULIANGALARM, false);
    }


    // 监测项数据队列
    @Bean
    public Queue Topic_QueueDeviceRealTime() {
        return new Queue(TOPICQUEUEDEVICEREALTIME, false);
    }

    @Bean
    public Queue Topic_QueueDeviceAlarm() {
        return new Queue(TOPICQUEUEDEVICEALARM, false);
    }


    // 尾矿库队列
    @Bean
    public Queue Topic_QueueWkkRealTime() {
        return new Queue(TOPICQUEUEWKKREALTIME, false);
    }

    @Bean
    public Queue Topic_QueueWkkAlarm() {
        return new Queue(TOPICQUEUEWKKALARM, false);
    }


    // 设备离线
    @Bean
    public Queue Topic_QueueOffLineInfo() {
        return new Queue(TOPICQUEUEOFFLINEINFO, false);
    }


    // 干滩绑定
    @Bean
    public Binding topicBindingGantan_realTime() {
        return BindingBuilder.bind(Topic_QueueGantanRealTime()).to(TopicExchange_RealTime()).with("dataInfo.01");
    }

    @Bean
    public Binding topicBindingGantan_alarm() {
        return BindingBuilder.bind(Topic_QueueGantanAlarm()).to(TopicExchange_RealTime()).with("warningInfo.01");
    }


    // 库水位绑定
    @Bean
    public Binding topicBindingKushuiwei_realTime() {
        return BindingBuilder.bind(Topic_QueueKushuiweiRealTime()).to(TopicExchange_RealTime()).with("dataInfo.02");
    }

    @Bean
    public Binding topicBindingKushuiwei_alarm() {
        return BindingBuilder.bind(Topic_QueueKushuiweiAlarm()).to(TopicExchange_RealTime()).with("warningInfo.02");
    }

    // 表面位移绑定
    @Bean
    public Binding topicBindingBiaomianweiyi_realTime() {
        return BindingBuilder.bind(Topic_QueueBiaomianweiyiRealTime()).to(TopicExchange_RealTime()).with("dataInfo.03");
    }

    @Bean
    public Binding topicBindingBiaomianweiyi_alarm() {
        return BindingBuilder.bind(Topic_QueueBiaomianweiyiAlarm()).to(TopicExchange_RealTime()).with("warningInfo.03");
    }

    // 内部位移绑定
    @Bean
    public Binding topicBindingNeibuweiyi_realTime() {
        return BindingBuilder.bind(Topic_QueueNeibuweiyiRealTime()).to(TopicExchange_RealTime()).with("dataInfo.04");
    }

    @Bean
    public Binding topicBindingNeibuweiyi_alarm() {
        return BindingBuilder.bind(Topic_QueueNeibuweiyiAlarm()).to(TopicExchange_RealTime()).with("warningInfo.04");
    }


    // 浸润线绑定
    @Bean
    public Binding topicBindingJinrunxian_realTime() {
        return BindingBuilder.bind(Topic_QueueJinrunxianRealTime()).to(TopicExchange_RealTime()).with("dataInfo.05");
    }

    @Bean
    public Binding topicBindingJinrunxian_alarm() {
        return BindingBuilder.bind(Topic_QueueJinrunxianAlarm()).to(TopicExchange_RealTime()).with("warningInfo.05");
    }


    // 降雨量绑定
    @Bean
    public Binding topicBindingJiangyuliang_realTime() {
        return BindingBuilder.bind(Topic_QueueJiangyuliangRealTime()).to(TopicExchange_RealTime()).with("dataInfo.06");
    }

    @Bean
    public Binding topicBindingJiangyuliang_alarm() {
        return BindingBuilder.bind(Topic_QueueJiangyuliangAlarm()).to(TopicExchange_RealTime()).with("warningInfo.06");
    }


    // 渗流量绑定
    @Bean
    public Binding topicBindingShenliuliang_realTime() {
        return BindingBuilder.bind(Topic_QueueShenliuliangRealTime()).to(TopicExchange_RealTime()).with("dataInfo.07");
    }

    @Bean
    public Binding topicBindingShenliuliang_alarm() {
        return BindingBuilder.bind(Topic_QueueShenliuliangAlarm()).to(TopicExchange_RealTime()).with("warningInfo.07");
    }


    // 设备信息绑定
    @Bean
    public Binding topicBindingdevice_realTime() {
        return BindingBuilder.bind(Topic_QueueDeviceRealTime()).to(TopicExchange_RealTime()).with("dataInfo.20");
    }

    @Bean
    public Binding topicBindingDevice_alarm() {
        return BindingBuilder.bind(Topic_QueueDeviceAlarm()).to(TopicExchange_RealTime()).with("warningInfo.20");
    }


    // 尾矿库信息绑定
    @Bean
    public Binding topicBindingWkk_realTime() {
        return BindingBuilder.bind(Topic_QueueWkkRealTime()).to(TopicExchange_RealTime()).with("dataInfo.21");
    }

    @Bean
    public Binding topicBindingWkk_alarm() {
        return BindingBuilder.bind(Topic_QueueWkkAlarm()).to(TopicExchange_RealTime()).with("warningInfo.21");
    }

    @Bean
    public Binding topicBindingOffLineInfo() {
        return BindingBuilder.bind(Topic_QueueOffLineInfo()).to(TopicExchange_RealTime()).with("equipOfflineInfo");
    }*/
}
